## org.jgroups.protocols
Class SCOPE.MessageQueue

    java.lang.Object
      org.jgroups.protocols.SCOPE.MessageQueue

Enclosing class:
  SCOPE

    protected static class SCOPE.MessageQueue

extends java.lang.Object

Constructor Summary
`protected` `SCOPE.MessageQueue()`

Method Summary
`boolean` `acquire()`
`void` `add(Message msg)`
`void` `clear()`
`long` `getLastUpdate()`
`boolean` `release()`
`Message` `remove()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SCOPE.MessageQueue

    protected SCOPE.MessageQueue()

Method Detail

### acquire

    public boolean acquire()

### release

    public boolean release()

### add

    public void add(Message msg)

### remove

    public Message remove()

### clear

    public void clear()

### size

    public int size()

### getLastUpdate

    public long getLastUpdate()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.